Debian Bug report logs - #712096
ITP: ruby-httparty -- quick web service consumption from any Ruby class

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cédric Boutillier <boutil@debian.org>

Date: Wed, 12 Jun 2013 22:36:02 UTC

Owned by: "Cédric Boutillier" <boutil@debian.org>

Severity: wishlist

Fixed in version ruby-httparty/0.12.0-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cedric.boutillier@gmail.com, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>:
Bug#712096; Package wnpp. (Wed, 12 Jun 2013 22:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
New Bug report received and forwarded. Copy sent to cedric.boutillier@gmail.com, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>. (Wed, 12 Jun 2013 22:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-httparty -- quick web service consumption from any Ruby class
Date: Thu, 13 Jun 2013 00:32:20 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: "Cédric Boutillier" <boutil@debian.org>

* Package name    : ruby-httparty
  Version         : 0.11.0
  Upstream Author : John Nunemaker <nunemaker@gmail.com>
* URL             : http://johnnunemaker.com/httparty/
* License         : Expat
  Programming Lang: Ruby
  Description     : quick web service consumption from any Ruby class

HTTParty is a Ruby library to build easily classes that can use
Web-based APIs and related services. At its simplest, the
HTTParty module is included within a class, which gives the class a
"get" method that can retrieve data over HTTP. Further directives,
however, instruct HTTParty to parse results (XML, JSON, and so on),
define base URIs for the requests, and define HTTP authentication
information.

This is part of the packaging effort of gitlab.

Cheers,

Cédric
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 712096: 710786 Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 21:33:12 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Fri, 24 Jan 2014 16:03:21 GMT) Full text and rfc822 format available.

Notification sent to Cédric Boutillier <boutil@debian.org>:
Bug acknowledged by developer. (Fri, 24 Jan 2014 16:03:21 GMT) Full text and rfc822 format available.

Message #12 received at 712096-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 712096-close@bugs.debian.org
Subject: Bug#712096: fixed in ruby-httparty 0.12.0-1
Date: Fri, 24 Jan 2014 16:00:06 +0000
Source: ruby-httparty
Source-Version: 0.12.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-httparty, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712096@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-httparty package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 Jan 2014 07:33:58 +0100
Source: ruby-httparty
Binary: ruby-httparty
Architecture: source all
Version: 0.12.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-httparty - quick web service consumption from any Ruby class
Closes: 712096
Changes: 
 ruby-httparty (0.12.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #712096)
Checksums-Sha1: 
 8c167209cab5578760f0245ef26e0fb0eb78bdb1 2116 ruby-httparty_0.12.0-1.dsc
 ab047a8b33ac0e076a74874d18b6acf28a2897e1 68101 ruby-httparty_0.12.0.orig.tar.gz
 c285fd58282abef728a4e7c45b0a180f2395acc4 6212 ruby-httparty_0.12.0-1.debian.tar.xz
 9bdb7330eca52337333e86adb4a750346bc70d0d 26702 ruby-httparty_0.12.0-1_all.deb
Checksums-Sha256: 
 89c33ec5592f516bd305f4c7af7c9aec798dcfb7caa1796492b98bcf0c70a3ac 2116 ruby-httparty_0.12.0-1.dsc
 7c223c78eef70d6f476a00be7630c6fc551835a72b18fdae01907f6b0b14b84f 68101 ruby-httparty_0.12.0.orig.tar.gz
 a720086a1674f009a3caaeed2396d061d7e9e2ffe92efe657aa3b889a57e8c6a 6212 ruby-httparty_0.12.0-1.debian.tar.xz
 187eb9ba353428d3eefb4a5674629ff231eea9ab2069d598150b21fd85400509 26702 ruby-httparty_0.12.0-1_all.deb
Files: 
 7752c3cf59ea62c4453fbf71478ffd62 2116 ruby optional ruby-httparty_0.12.0-1.dsc
 014e024478f0dad7bfceafde39210b6b 68101 ruby optional ruby-httparty_0.12.0.orig.tar.gz
 f8398799ff43b331d6e99bb6bb2f9af4 6212 ruby optional ruby-httparty_0.12.0-1.debian.tar.xz
 aa4468a7ba94f5901f76a00bf624f51e 26702 ruby optional ruby-httparty_0.12.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS4YOUAAoJEKkHZFuPn48JSVcP/Ar538zff7B71DngW0R5ZH1F
kb5nDsLUr2m/8ZGSYGFl0R7BWJzahGrfm5RGIsfWntgaVwf0Xdz0HRV8Q8MBBD7J
cXjxz3o4c32qwSK9AqXx+VfvEgyAEhgVwBf8rJUJpBvxssX5bqlntlgUEfrKsZtl
wXXzMwlshgPNlAf5Y98ajeA977Nplihs64nRfoS+s9JYHwIgLzJyP5SdWdqv/VeN
LvYLqG7Sj3gVWX4FbfQIJ37z2u+YkVlrb1cHXBNSMYoj1T38r9UVveYxnhbzCUzA
IiMSyWcc3rtuQYiLxhGLxz1HfaIShIwwnf+hP12R1lFyFe2R9bsprt4eQrmw84xn
DU9hFdPawqCmRwMD7cIosIeTzaaleV6bG2zSYRhbDJKje3vMQ7kGDZvpFEUoX4Hj
yOcdGHIQRiKR5vpqVvOe0hu+el3El4SuMSyDLIJGimlSTXtYx1XioQZXHey20Ha6
SM73eabAToovaPN9bUKhwh3ArL8Ao9C0opZnrEgNiThlTnO3B6NlJh71IxALMpkI
DfDMOF5UO1mtvwtyEs7mLPUieirMFbFAtIK0UoHWhBvI/eeXlvVfGMHFtV4ZlP0F
Cmy/YJtYgrO3o6Wk4OsHa/M83r7JBt6DJoxRkJXH9PQx5HcrxVazk6m17ym+m+9e
ZamGcMiyWuJwJKipzNVg
=tqFP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Feb 2014 07:36:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:38:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.